<?php
class FeedingActions extends wtActions
{
    public function executeRunJson()
    {
        $key = $this->getRequestParameter( 'key' );
        if( $key == "" )
        {
            $IdCompania = $this->getRequestParameter( 'id_compania' );
            $Fecha      = $this->getRequestParameter( 'fecha' );
            
            $a_Param['IdCompania'] = $IdCompania;
            $a_Param['Fecha']      = $Fecha;
            
            
            //pr( $a_lst );
            echo json_encode( $a_lst );
        }
        return ViewResponse::NONE;
    }
    
    public function executeRunUniCriaJson()
    {
        $key = $this->getRequestParameter( 'key' );
        if( $key == "" )
        {
            $IdCompania = $this->getRequestParameter( 'id_compania' );
            
            $a_Param['IdCompania'] = $IdCompania;
            
            
            echo json_encode( $a_lst );
        }
        return ViewResponse::NONE;
    }
    
    public function executeRunMotBajaJson()
    {
        $key = $this->getRequestParameter( 'key' );
        if( $key == "" )
        {
            $a_Param = array();
            
            echo json_encode( $a_lst );
        }
        return ViewResponse::NONE;
    }
    
    public function executeRunItemAlmAliJson()
    {
        $key = $this->getRequestParameter( 'key' );
        if( $key == "" )
        {
            $IdCompania = $this->getRequestParameter( 'id_compania' );
            $Estado     = $this->getRequestParameter( 'estado' );
            $IdItemTipo = $this->getRequestParameter( 'id_item_tipo' );
            $UtilRs     = $this->getRequestParameter( 'tipo_rs' );
            
            $a_Param['IdCompania'] = $IdCompania;
            $a_Param['Estado']     = $Estado;
            $a_Param['IdItemTipo'] = $IdItemTipo;
            $a_Param['UtilRs']     = $UtilRs;
            
            
            
            echo json_encode( $a_lst );
        }
        return ViewResponse::NONE;
    }
}